Page MenuHomePhabricator

Make JobExecutor debug-log to mwlog
Closed, ResolvedPublic

Description

The old queue used to have DEBUG level logs on mwlog, but the new queue and the JobExecutor only logs errors. We need to have debug-level logging for the new queue as well.

Details

Related Gerrit Patches:

Event Timeline

Pchelolo triaged this task as Medium priority.May 29 2018, 3:03 PM
Pchelolo created this task.
Restricted Application added a project: Analytics. · View Herald TranscriptMay 29 2018, 3:03 PM
Pchelolo renamed this task from Medke JobExecutor debug-log to mwlog to Make JobExecutor debug-log to mwlog.May 29 2018, 4:19 PM

Change 436056 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@master] Add debug/info logging about start/finish of the job execution.

https://gerrit.wikimedia.org/r/436056

Change 436056 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Add debug/info logging about start/finish of the job execution.

https://gerrit.wikimedia.org/r/436056

Pchelolo moved this task from doing to done on the Services board.May 31 2018, 1:02 PM
Pchelolo edited projects, added Services (done); removed Services (doing).
fdans moved this task from Incoming to Radar on the Analytics board.Jun 4 2018, 3:56 PM
mobrovac closed this task as Resolved.Jun 6 2018, 12:34 PM
mobrovac removed a project: Patch-For-Review.
Vvjjkkii renamed this task from Make JobExecutor debug-log to mwlog to t2baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Pchelolo as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
mobrovac renamed this task from t2baaaaaaa to Make JobExecutor debug-log to mwlog.Jul 1 2018, 11:11 AM
mobrovac closed this task as Resolved.
mobrovac assigned this task to Pchelolo.
mobrovac lowered the priority of this task from High to Medium.
mobrovac updated the task description. (Show Details)
mobrovac removed a subscriber: Pchelolo.